## org.apache.tools.zip
Class UnsupportedZipFeatureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.util.zip.ZipException
                      org.apache.tools.zip.UnsupportedZipFeatureException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedZipFeatureException

extends java.util.zip.ZipException

Exception thrown when attempting to read or write data for a zip entry that uses ZIP features not supported by this library.

Since:
  Ant 1.9.0
See Also:
  Serialized Form

Nested Class Summary
`static class` `UnsupportedZipFeatureException.Feature` ZIP Features that may or may not be supported.

Constructor Summary
`UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason, ZipEntry entry)` Creates an exception.

Method Summary
`ZipEntry` `getEntry()` The entry using the unsupported feature.
`UnsupportedZipFeatureException.Feature` `getFeature()` The unsupported feature that has been used.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedZipFeatureException

    public UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason,
                                          ZipEntry entry)

  Creates an exception.

  Parameters:
    `reason` - the feature that is not supported
    `entry` - the entry using the feature

Method Detail

### getFeature

    public UnsupportedZipFeatureException.Feature getFeature()

  The unsupported feature that has been used.

### getEntry

    public ZipEntry getEntry()

  The entry using the unsupported feature.